%set_perl_req_method relaxed
%define module_name Bio-WebService-LANL-SequenceLocator
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Share.pm) perl(File/ShareDir/Install.pm) perl(HTML/LinkExtor.pm) perl(HTML/TableExtract.pm) perl(HTML/TokeParser.pm) perl(HTTP/Request/Common.pm) perl(IO/String.pm) perl(JSON.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(List/AllUtils.pm) perl(Moo.pm) perl(Path/Tiny.pm) perl(Plack/App/File.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Text/CSV.pm) perl(Web/Simple.pm) perl(strictures.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 20170324
Release: alt1
Summary: Locate sequences within HIV using LANL's web tool
Group: Development/Perl
License: perl
URL: https://indra.mullins.microbiol.washington.edu/locate-sequence/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TS/TSIBLEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
sed -i -e "494s/42/1/" %buildroot%perl_vendor_privlib/Bio/WebService/LANL/SequenceLocator.pm

%files
%doc README LICENSE Changes examples
%perl_vendor_privlib/B*
%perl_vendor_privlib/auto/*

%changelog
* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 20170324-alt1
- regenerated from template by package builder

* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 20140624-alt1
- initial import by package builder

